Agregar IP a la lista de acceso de IP
curl --request POST \
--url https://api.devin.ai/v3/enterprise/ip-access-list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ip_ranges": [
"<string>"
]
}
'import requests
url = "https://api.devin.ai/v3/enterprise/ip-access-list"
payload = { "ip_ranges": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ip_ranges: ['<string>']})
};
fetch('https://api.devin.ai/v3/enterprise/ip-access-list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ip_ranges": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Lista de acceso IP (Enterprise)
Agregar IP a la lista de acceso de IP
POST
/
v3
/
enterprise
/
ip-access-list
Agregar IP a la lista de acceso de IP
Este endpoint agrega rangos de IP a la lista de acceso por IP existente sin eliminar ningún rango ya presente. Para reemplazar toda la lista, usa el endpoint Reemplazar lista de acceso por IP.
Requiere un usuario de servicio con el permiso
Permisos
ManageIPWhitelist a nivel Enterprise.⌘I

